al_wait_cond_until(3)

NAME

al_wait_cond_until - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    int al_wait_cond_until(ALLEGRO_COND *cond, ALLEGRO_MUTEX *mutex,
       const ALLEGRO_TIMEOUT *timeout)

DESCRIPTION

Like al_wait_cond(3) but the call can return if the absolute time passes timeout before the condition is signalled.

Returns zero on success, non-zero if the call timed out.

SEE ALSO

al_wait_cond(3)